2018-12-16 08:09 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001624FSSCPmultiplayerpublic2008-10-26 10:40
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001624: Host gets loadout error message instead of client
DescriptionIf a client tries to equip a weapon on a ship that is not allowed on that ship the host gets the error message instead of the client. The client is not allowed to equip the weapon but does not receive the error message.
Additional InformationTBP build of 3.6.9
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008952

karajorma (administrator)

Gimme an example mission, ship and weapon. I'm not getting this in 3.6.10 with FS2 so it's likely fixed or very specific. It could be the same problem with invisible weapons raising its ugly head again I suppose.

~0008954

FUBAR-BDHR (developer)

Last edited: 2008-03-12 20:45

I was testing so many missions that day it's hard to tell but I did have it happen in more than one mission. I believe one was FUBAR_MG03 but am not 100% sure. I do remember one being the Shadow lightaaa so that narrows it down to the half a dozen Shadow ship missions. Also think it was with the SH Heavy Assault so that gets the list down to about 3. I'll try to get a specific example tonight.

FUBAR_MT16 Shadow NWTR. Try to put a lightaaa on the first primary on the client side. Host will get the window.

~0009997

phreak (developer)

Does this issue still occur in current builds?

~0009998

FUBAR-BDHR (developer)

Saw it about 3 days ago while testing another bug. Was running either Taylor's multi_test build or the latest Knightly build at the time.

~0010076

taylor (administrator)

Last edited: 2008-10-20 23:11

Fixed locally. I'll commit after it's verified in the next test build.

~0010122

FUBAR-BDHR (developer)

Tested this one today. Works like a charm.

~0010126

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-03-07 03:05 FUBAR-BDHR New Issue
2008-03-12 20:00 karajorma Note Added: 0008952
2008-03-12 20:31 FUBAR-BDHR Note Added: 0008954
2008-03-12 20:45 FUBAR-BDHR Note Edited: 0008954
2008-03-12 20:45 FUBAR-BDHR File Added: FUBAR_MT16.fs2
2008-10-15 23:45 phreak Note Added: 0009997
2008-10-15 23:58 FUBAR-BDHR Note Added: 0009998
2008-10-20 23:09 taylor Note Added: 0010076
2008-10-20 23:10 taylor Status new => assigned
2008-10-20 23:10 taylor Assigned To => taylor
2008-10-20 23:11 taylor Note Edited: 0010076
2008-10-25 20:04 FUBAR-BDHR Note Added: 0010122
2008-10-26 10:40 taylor Status assigned => resolved
2008-10-26 10:40 taylor Fixed in Version => 3.6.10
2008-10-26 10:40 taylor Resolution open => fixed
2008-10-26 10:40 taylor Note Added: 0010126
+Issue History